Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::gui::SGUISprite Struct Reference

A sprite composed of several frames. More...

`#include <IGUISpriteBank.h>`

List of all members.

## Public Member Functions
| SGUISprite ()
## Public Attributes
core::array< SGUISpriteFrame > | Frames
u32 | frameTime

## Detailed Description

A sprite composed of several frames.

Definition at line 32 of file IGUISpriteBank.h.

## Constructor & Destructor Documentation

irr::gui::SGUISprite::SGUISprite | ( |  | ) | `[inline]`

Definition at line 34 of file IGUISpriteBank.h.

## Member Data Documentation

core::array<SGUISpriteFrame> irr::gui::SGUISprite::Frames

Definition at line 36 of file IGUISpriteBank.h.

u32 irr::gui::SGUISprite::frameTime

Definition at line 37 of file IGUISpriteBank.h.

The documentation for this struct was generated from the following file:

- IGUISpriteBank.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:05 2010 by Doxygen (1.6.2)